indexing

	description:

		"An HTML overview file"

	copyright: "Copyright (c) 2005, Julian Tschannen"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date$"
	revision: "$Revision$"

class EDOC_HTML_OVERVIEW_FILE

inherit

	EDOC_HTML_OUTPUT_FILE

create

	make

feature -- File creation

	generate is
			-- Generate overview file.
		local
			cursor: DS_LIST_CURSOR [ET_CLUSTER]
		do
			open_write
			
			print_html_head ("Overview", html_context.relative_css_link)

			start_tag ("body")
			
				print_header_start
				print_buttons
				print_header_end

				tag_content ("h1", Options.title)
				
				tag ("hr")
				
				tag_content ("h2", "Clusters")
				start_tag_css ("ul", css_cluster_tree)
				cursor := Context.universe.clusters.clusters.new_cursor
				from
					cursor.start
				until
					cursor.after
				loop
					if Context.documented_clusters.has (cursor.item) then
						start_tag ("li")
							tag_content ("h3", print_cluster_name_to_string (cursor.item))
						end_tag
						print_subclusters_tree (cursor.item)
					end
					cursor.forth
				end
				end_tag
				
				print_footer_start
				print_buttons
				print_footer_end
			
			end_tag
			end_tag
			
			close
		end

end
